ENet: ENet socket functions

ENet v1.3.17 Reliable UDP networking library

Functions
ENet socket functions

## Functions
ENetSocket | enet_socket_accept (ENetSocket, ENetAddress *)
int | enet_socket_bind (ENetSocket, const ENetAddress *)
int | enet_socket_connect (ENetSocket, const ENetAddress *)
ENetSocket | enet_socket_create (ENetSocketType)
void | enet_socket_destroy (ENetSocket)
int | enet_socket_get_address (ENetSocket, ENetAddress *)
int | enet_socket_get_option (ENetSocket, ENetSocketOption, int *)
int | enet_socket_listen (ENetSocket, int)
int | enet_socket_receive (ENetSocket, ENetAddress *, ENetBuffer *, size_t)
int | enet_socket_send (ENetSocket, const ENetAddress *, const ENetBuffer *, size_t)
int | enet_socket_set_option (ENetSocket, ENetSocketOption, int)
int | enet_socket_shutdown (ENetSocket, ENetSocketShutdown)
int | enet_socket_wait (ENetSocket, enet_uint32 *, enet_uint32)
int | enet_socketset_select (ENetSocket, ENetSocketSet *, ENetSocketSet *, enet_uint32)

## Detailed Description

## Function Documentation

## ◆ enet_socket_accept()

ENetSocket enet_socket_accept | ( | ENetSocket | ,
|  | ENetAddress * |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socket_bind()

int enet_socket_bind | ( | ENetSocket | ,
|  | const ENetAddress * |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socket_connect()

int enet_socket_connect | ( | ENetSocket | ,
|  | const ENetAddress * |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socket_create()

ENetSocket enet_socket_create | ( | ENetSocketType |  | ) |

`#include <include/enet/enet.h>`

## ◆ enet_socket_destroy()

void enet_socket_destroy | ( | ENetSocket |  | ) |

`#include <include/enet/enet.h>`

## ◆ enet_socket_get_address()

int enet_socket_get_address | ( | ENetSocket | ,
|  | ENetAddress * |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socket_get_option()

int enet_socket_get_option | ( | ENetSocket | ,
|  | ENetSocketOption | ,
|  | int * |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socket_listen()

int enet_socket_listen | ( | ENetSocket | ,
|  | int |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socket_receive()

int enet_socket_receive | ( | ENetSocket | ,
|  | ENetAddress * | ,
|  | ENetBuffer * | ,
|  | size_t |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socket_send()

int enet_socket_send | ( | ENetSocket | ,
|  | const ENetAddress * | ,
|  | const ENetBuffer * | ,
|  | size_t |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socket_set_option()

int enet_socket_set_option | ( | ENetSocket | ,
|  | ENetSocketOption | ,
|  | int |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socket_shutdown()

int enet_socket_shutdown | ( | ENetSocket | ,
|  | ENetSocketShutdown |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socket_wait()

int enet_socket_wait | ( | ENetSocket | ,
|  | enet_uint32 * | ,
|  | enet_uint32 |
| ) |  |

`#include <include/enet/enet.h>`

## ◆ enet_socketset_select()

int enet_socketset_select | ( | ENetSocket | ,
|  | ENetSocketSet * | ,
|  | ENetSocketSet * | ,
|  | enet_uint32 |
| ) |  |

`#include <include/enet/enet.h>`